#include <iostream>
#include <string>
#include <vector>
using namespace std;
bool smaller(int x){
    int value =6;
    if (x<value){
        return true ;

    }
    return false;
}
int find_number(int MAX){
    int min=0;
    MAX++;
    while ( min < MAX){
        int mid= (min+ MAX)/2;
        if (smaller(mid)){
            min= mid+1;
        }
        else{
            MAX=mid-1;
        }
    }
    return min;
}
